#### D.15.16.10 printRightEquivalenceChainWithPrecision

Procedure from library `polyclass.lib` (see polyclass_lib).

Usage:
  printRightEquivalenceChainWithPrecision(TT); TT RightEquivalenceChainWithPrecision

Return:
  print the chain of transformations TT

Example:

    LIB "polyclass.lib";
    RightEquivalenceChainWithPrecision TT;
    ring R=0,(x,y),ds;
    poly f = x+y;
    Poly F = makePoly(f);
    TT.sourcegerm = F;
    map phi = R,x-x*y,y;
    f=phi(f);
    PolynomialRightEquivalence RE;
    RE.in=basering;
    RE.images = list(makePoly(x-x*y),makePoly(y));
    RE.imagesInverse = list(makePoly(x+x*y),makePoly(y));
    TT.transformations[size(TT.transformations)+1]=RE;
    TT.targetgerm.in = basering;
    TT.targetgerm.value=f;
    ring S = (0,a),(x,y),ds;
    minpoly=a^2+1;
    poly f = fetch(R,f);
    map phi = R,x-a*x*y,y;
    f=phi(f);
    PolynomialRightEquivalence RE;
    ==> // ** redefining RE (PolynomialRightEquivalence RE;) ./examples/printRigh\
       tEquivalenceChainWithPrecision.sing:21
    RE.in=basering;
    RE.images = list(makePoly(x-a*x*y),makePoly(y));
    RE.imagesInverse = list(makePoly(x+a*x*y),makePoly(y));
    TT.transformations[size(TT.transformations)+1]=RE;
    TT.targetgerm.in = basering;
    TT.targetgerm.value=f;
    setring R;
    printRightEquivalenceChainWithPrecision(TT);
    ==>
    ==>     Source germ = x+y
    ==>
    ==>    Target germ = x+y+(-a-1)*xy+(a)*xy2
    ==>
    ==>    Precision = 0
    ==>
    ==>    Transformations:
    ==>
    ==> Transformation:
    ==> x-->x-xy
    ==> y-->y
    ==>
    ==> Transformation:
    ==> x-->x+(-a)*xy
    ==> y-->y

User manual for Singular version 4.4.1, 2025, generated by texi2html.